Bug 176580 - New port: security/gnomint: X.509 Certification Authority management tool
New port: security/gnomint: X.509 Certification Authority management tool
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-28 21:30 UTC by Kevin Zheng
Modified: 2013-03-02 14:50 UTC (History)
0 users

See Also:


Attachments
file.shar (5.89 KB, text/plain)
2013-02-28 21:30 UTC, Kevin Zheng
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2013-02-28 21:30:00 UTC
gnoMint is an X.509 Certificate Authority (CA) management tool with both a GTK
and command-line interface. It allows anyone to create and manage a CA without
having to write configuration files or remember long command-line arguments.

WWW: http://gnomint.sourceforge.net/

The port has been tested on RedPorts as well as my personal machine, but a committer should go through and look at the whole thing just to see that everything was done the "Right Way."

The pkg-plist could use some sorting.

Fix: Use the attached shell archive.

Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2013-03-01 04:21:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2013-03-02 14:42:34 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 3 dfilter freebsd_committer 2013-03-02 14:43:09 UTC
Author: miwi
Date: Sat Mar  2 14:42:54 2013
New Revision: 313243
URL: http://svnweb.freebsd.org/changeset/ports/313243

Log:
  gnoMint is an X.509 Certificate Authority (CA) management tool with both a GTK
  and command-line interface. It allows anyone to create and manage a CA without
  having to write configuration files or remember long command-line arguments.
  
  WWW: http://gnomint.sourceforge.net/
  
  PR:		ports/176580
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com>

Added:
  head/security/gnomint/
  head/security/gnomint/Makefile   (contents, props changed)
  head/security/gnomint/distinfo   (contents, props changed)
  head/security/gnomint/files/
  head/security/gnomint/files/patch-configure   (contents, props changed)
  head/security/gnomint/files/patch-src__Makefile.in   (contents, props changed)
  head/security/gnomint/pkg-descr   (contents, props changed)
  head/security/gnomint/pkg-plist   (contents, props changed)
Modified:
  head/security/Makefile

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Sat Mar  2 14:42:01 2013	(r313242)
+++ head/security/Makefile	Sat Mar  2 14:42:54 2013	(r313243)
@@ -159,6 +159,7 @@
     SUBDIR += gnome-keyring-sharp
     SUBDIR += gnome-password-generator
     SUBDIR += gnome-ssh-askpass
+    SUBDIR += gnomint
     SUBDIR += gnupg
     SUBDIR += gnupg-idea
     SUBDIR += gnupg1

Added: head/security/gnomint/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/gnomint/Makefile	Sat Mar  2 14:42:54 2013	(r313243)
@@ -0,0 +1,38 @@
+# Created by: Kevin Zheng <kevinz5000@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	gnomint
+PORTVERSION=	1.2.1
+CATEGORIES=	security
+MASTER_SITES=	SF
+
+MAINTAINER=	kevinz5000@gmail.com
+COMMENT=	X.509 Certification Authority management tool
+
+LICENSE=	GPLv3
+LICENSE_FILE=	${WRKSRC}/COPYING
+
+LIB_DEPENDS=	gcrypt:${PORTSDIR}/security/libgcrypt \
+		gnutls:${PORTSDIR}/security/gnutls \
+		sqlite3:${PORTSDIR}/databases/sqlite3
+
+GNU_CONFIGURE=	yes
+USE_GMAKE=	yes
+USE_GNOME=	gconf2 gdkpixbuf2 glib20 gtk20
+USE_PERL5=	yes
+CFLAGS:=	${CFLAGS:C/-Werror//}
+
+MAKE_JOBS_SAFE=	yes
+
+OPTIONS_DEFINE=	NLS
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
+PLIST_SUB+=	NLS=""
+.else
+CONFIGURE_ARGS+=	--disable-nls
+PLIST_SUB+=	NLS="@comment "
+.endif
+
+.include <bsd.port.mk>

Added: head/security/gnomint/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/gnomint/distinfo	Sat Mar  2 14:42:54 2013	(r313243)
@@ -0,0 +1,2 @@
+SHA256 (gnomint-1.2.1.tar.gz) = 6186ca6073e912bad5e0b026bc704430098a54392f3741d62929cc6fca3c38b0
+SIZE (gnomint-1.2.1.tar.gz) = 703316

Added: head/security/gnomint/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/gnomint/files/patch-configure	Sat Mar  2 14:42:54 2013	(r313243)
@@ -0,0 +1,15 @@
+--- ./configure.orig	2010-08-11 04:12:26.000000000 -0500
++++ ./configure	2013-02-18 10:26:44.000000000 -0600
+@@ -14337,12 +14337,6 @@
+ 
+ 
+ 
+-if test "x$GCC" = "xyes"; then
+-	CFLAGS="-Wall -Werror"
+-	if test "x$use_debug" = "xYes"; then
+-   	   CFLAGS="$CFLAGS -g -O0"
+-	fi
+-fi
+ 
+ 
+ 

Added: head/security/gnomint/files/patch-src__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/gnomint/files/patch-src__Makefile.in	Sat Mar  2 14:42:54 2013	(r313243)
@@ -0,0 +1,11 @@
+--- ./src/Makefile.in.orig	2010-08-11 04:12:26.000000000 -0500
++++ ./src/Makefile.in	2013-02-18 10:28:58.000000000 -0600
+@@ -98,7 +98,7 @@
+ 	$(AM_CFLAGS) $(CFLAGS)
+ CCLD = $(CC)
+ LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
+-	$(AM_LDFLAGS) $(LDFLAGS) -o $@
++	$(AM_LDFLAGS) $(LDFLAGS) -lgcrypt -o $@
+ SOURCES = $(gnomint_SOURCES) $(gnomint_cli_SOURCES)
+ DIST_SOURCES = $(gnomint_SOURCES) $(gnomint_cli_SOURCES)
+ ETAGS = etags

Added: head/security/gnomint/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/gnomint/pkg-descr	Sat Mar  2 14:42:54 2013	(r313243)
@@ -0,0 +1,5 @@
+gnoMint is an X.509 Certificate Authority (CA) management tool with both a GTK
+and command-line interface. It allows anyone to create and manage a CA without
+having to write configuration files or remember long command-line arguments.
+
+WWW: http://gnomint.sourceforge.net/

Added: head/security/gnomint/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/gnomint/pkg-plist	Sat Mar  2 14:42:54 2013	(r313243)
@@ -0,0 +1,75 @@
+bin/gnomint
+bin/gnomint-cli
+bin/gnomint-upgrade-db
+share/pixmaps/gnomint.png
+share/applications/gnomint.desktop
+@dirrmtry share/applications
+%%DATADIR%%/addca.png
+%%DATADIR%%/addcsr.png
+%%DATADIR%%/ca-stamp-16.png
+%%DATADIR%%/certificate_popup_menu.ui
+%%DATADIR%%/certificate_properties_dialog.ui
+%%DATADIR%%/change_password_dialog.ui
+%%DATADIR%%/creation_process_window.ui
+%%DATADIR%%/csr_popup_menu.ui
+%%DATADIR%%/csr_properties_dialog.ui
+%%DATADIR%%/dh_parameters_dialog.ui
+%%DATADIR%%/export_certificate_dialog.ui
+%%DATADIR%%/extractpkey.png
+%%DATADIR%%/get_db_password_dialog.ui
+%%DATADIR%%/get_password_dialog.ui
+%%DATADIR%%/get_pkey_dialog.ui
+%%DATADIR%%/gnomint.png
+%%DATADIR%%/import_file_or_directory_dialog.ui
+%%DATADIR%%/import_password_dialog.ui
+%%DATADIR%%/key-16.png
+%%DATADIR%%/main_window.ui
+%%DATADIR%%/new_ca_window.ui
+%%DATADIR%%/new_cert_window.ui
+%%DATADIR%%/new_crl_dialog.ui
+%%DATADIR%%/new_req_window.ui
+%%DATADIR%%/preferences_dialog.ui
+%%DATADIR%%/sign.png
+@dirrmtry %%DATADIR%%
+share/mime/packages/gnomint.xml
+@dirrmtry share/mime/packages
+@dirrmtry share/mime
+etc/gconf/schemas/gnomint.schemas
+@dirrmtry lib/pkgconfig
+%%NLS%%lib/locale/ca/LC_MESSAGES/gnomint.mo
+%%NLS%%@dirrmtry lib/locale/ca/LC_MESSAGES
+%%NLS%%@dirrmtry lib/locale/ca
+%%NLS%%lib/locale/cs/LC_MESSAGES/gnomint.mo
+%%NLS%%@dirrmtry lib/locale/cs/LC_MESSAGES
+%%NLS%%@dirrmtry lib/locale/cs
+%%NLS%%lib/locale/de/LC_MESSAGES/gnomint.mo
+%%NLS%%@dirrmtry lib/locale/de/LC_MESSAGES
+%%NLS%%@dirrmtry lib/locale/de
+%%NLS%%lib/locale/es/LC_MESSAGES/gnomint.mo
+%%NLS%%@dirrmtry lib/locale/es/LC_MESSAGES
+%%NLS%%@dirrmtry lib/locale/es
+%%NLS%%lib/locale/fi/LC_MESSAGES/gnomint.mo
+%%NLS%%@dirrmtry lib/locale/fi/LC_MESSAGES
+%%NLS%%@dirrmtry lib/locale/fi
+%%NLS%%lib/locale/fr/LC_MESSAGES/gnomint.mo
+%%NLS%%@dirrmtry lib/locale/fr/LC_MESSAGES
+%%NLS%%@dirrmtry lib/locale/fr
+%%NLS%%lib/locale/it/LC_MESSAGES/gnomint.mo
+%%NLS%%@dirrmtry lib/locale/it/LC_MESSAGES
+%%NLS%%@dirrmtry lib/locale/it
+%%NLS%%lib/locale/pt_BR/LC_MESSAGES/gnomint.mo
+%%NLS%%@dirrmtry lib/locale/pt_BR/LC_MESSAGES
+%%NLS%%@dirrmtry lib/locale/pt_BR
+%%NLS%%lib/locale/oc/LC_MESSAGES/gnomint.mo
+%%NLS%%@dirrmtry lib/locale/oc/LC_MESSAGES
+%%NLS%%@dirrmtry lib/locale/oc
+%%NLS%%lib/locale/ru/LC_MESSAGES/gnomint.mo
+%%NLS%%@dirrmtry lib/locale/ru/LC_MESSAGES
+%%NLS%%@dirrmtry lib/locale/ru
+%%NLS%%lib/locale/sk/LC_MESSAGES/gnomint.mo
+%%NLS%%@dirrmtry lib/locale/sk/LC_MESSAGES
+%%NLS%%@dirrmtry lib/locale/sk
+%%NLS%%lib/locale/sv/LC_MESSAGES/gnomint.mo
+%%NLS%%@dirrmtry lib/locale/sv/LC_MESSAGES
+%%NLS%%@dirrmtry lib/locale/sv
+%%NLS%%@dirrmtry lib/locale
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"